Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO_new_RepositoryManagerDaemon_i Class Reference

`#include <new_RepositoryManager_Impl.h>`

Collaboration diagram for CIAO_new_RepositoryManagerDaemon_i:

[legend]
List of all members.

## Public Member Functions
| CIAO_new_RepositoryManagerDaemon_i (CORBA::ORB_ptr the_orb)
| Constructor.
virtual | ~CIAO_new_RepositoryManagerDaemon_i (void)
| Destructor.
virtual void | shutdown () throw (CORBA::SystemException)
| shutdown method to shut down the orb gracefully
virtual void | installPackage (const char *installationName, const ::Deployment::Package &the_package,::CORBA::Boolean replace) throw (CORBA::SystemException, ::Deployment::NameExists, ::Deployment::PackageError)
| This method allow you to install a package into the RM.
virtual ::Deployment::DeploymentPlan * | retrievePlan (const char *packageName) throw (CORBA::SystemException, ::Deployment::NoPlan)
virtual ::Deployment::Package * | findPackageByName (const char *name) throw (CORBA::SystemException, ::Deployment::NoSuchName)
virtual ::Deployment::Implementation * | findImplementationByName (const char *implementation_name, const char *package_name) throw (CORBA::SystemException, ::Deployment::NoSuchName)
virtual ::Deployment::Package * | findPackageByUUID (const char *UUID) throw (CORBA::SystemException, ::Deployment::NoSuchName)
| not implemented
virtual ::Deployment::Implementation * | findImplementationByUUID (const char *UUID) throw (CORBA::SystemException, ::Deployment::NoSuchName)
| not implemented
virtual ::CORBA::StringSeq * | getAllPackageNames () throw (CORBA::SystemException)
| get the names of all packages currently installed in the RM
virtual void | deletePackage (const char *installationName) throw (CORBA::SystemException, ::Deployment::NoSuchName)
## Protected Member Functions
int | write_to_disk (const char *full_path, const CORBA::Octet *buffer, size_t length)
int | write_to_disk (const char *full_path, ACE_Message_Block &mb, bool replace=true)
CORBA::Octet * | read_from_disk (const char *full_path, size_t &lenght)
## Private Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, ACE_CString, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_RW_Mutex > | RepositoryDatabase
typedef RepositoryDatabase::iterator | RepositoryDatabase_Iterator
## Private Attributes
RepositoryDatabase | packages_
CORBA::ORB_var | the_orb_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, ACE_CString, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_RW_Mutex> CIAO_new_RepositoryManagerDaemon_i::RepositoryDatabase`[private]`

| Based on the synchronization needed we can parametrize this with either ACE_Null_Mutex or ACE_RW_Mutex

typedef RepositoryDatabase::iterator CIAO_new_RepositoryManagerDaemon_i::RepositoryDatabase_Iterator`[private]`

## Constructor & Destructor Documentation

CIAO_new_RepositoryManagerDaemon_i::CIAO_new_RepositoryManagerDaemon_i | ( | CORBA::ORB_ptr | the_orb | ) |

| Constructor.

CIAO_new_RepositoryManagerDaemon_i::~CIAO_new_RepositoryManagerDaemon_i | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void CIAO_new_RepositoryManagerDaemon_i::deletePackage | ( | const char * | installationName | ) | throw (CORBA::SystemException, ::Deployment::NoSuchName)`[virtual]`

| Find out if the package was installed in the repository, delete it if found or throw and exception otherwise

Deployment::Implementation * CIAO_new_RepositoryManagerDaemon_i::findImplementationByName | ( | const char * | implementation_name,
|  | const char * | package_name
| ) | throw (CORBA::SystemException, ::Deployment::NoSuchName)

| find an implementation (.dll, .so) by its name and return it if installed in the RM else throw an exception. You need to specify the package in which the RM is to look for the implementation

Deployment::Implementation * CIAO_new_RepositoryManagerDaemon_i::findImplementationByUUID | ( | const char * | UUID | ) | throw (CORBA::SystemException, ::Deployment::NoSuchName)`[virtual]`

| not implemented

Deployment::Package * CIAO_new_RepositoryManagerDaemon_i::findPackageByName | ( | const char * | name | ) | throw (CORBA::SystemException, ::Deployment::NoSuchName)

| find a package and return it if installed in the RM else throw an exception

Deployment::Package * CIAO_new_RepositoryManagerDaemon_i::findPackageByUUID | ( | const char * | UUID | ) | throw (CORBA::SystemException, ::Deployment::NoSuchName)`[virtual]`

| not implemented

CORBA::StringSeq * CIAO_new_RepositoryManagerDaemon_i::getAllPackageNames | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

| get the names of all packages currently installed in the RM

void CIAO_new_RepositoryManagerDaemon_i::installPackage | ( | const char * | installationName,
|  | const ::Deployment::Package & | the_package,
|  | ::CORBA::Boolean | replace
| ) | throw (CORBA::SystemException, ::Deployment::NameExists, ::Deployment::PackageError)`[virtual]`

| This method allow you to install a package into the RM.

CORBA::Octet * CIAO_new_RepositoryManagerDaemon_i::read_from_disk | ( | const char * | full_path,
|  | size_t & | lenght
| ) | `[protected]`

| function to read the contents of a file from disk into a CORBA::OctetSeq returns a pointer to a CORBA::Octet buffer and updated the lenght on success 0 on failure

Deployment::DeploymentPlan * CIAO_new_RepositoryManagerDaemon_i::retrievePlan | ( | const char * | packageName | ) | throw (CORBA::SystemException, ::Deployment::NoPlan)

| This method parse the depoyment plan in a package and return the corresponding structure. You need to provide the name of the package whose deployment plan you want to get . If no plan is found in the package, an exception is thrown

void CIAO_new_RepositoryManagerDaemon_i::shutdown | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

| shutdown method to shut down the orb gracefully

int CIAO_new_RepositoryManagerDaemon_i::write_to_disk | ( | const char * | full_path,
|  | ACE_Message_Block & | mb,
|  | bool | replace = `true`
| ) | `[protected]`

| function that writes out a file to a specified location on the hand disk returns 1 on success 0 on already exists and replace == false -1 on error

int CIAO_new_RepositoryManagerDaemon_i::write_to_disk | ( | const char * | full_path,
|  | const CORBA::Octet * | buffer,
|  | size_t | length
| ) | `[protected]`

| function that writes out a file to a specified location on the hand disk returns 1 on success -1 on error

## Member Data Documentation

RepositoryDatabase CIAO_new_RepositoryManagerDaemon_i::packages_`[private]`

CORBA::ORB_var CIAO_new_RepositoryManagerDaemon_i::the_orb_`[private]`

The documentation for this class was generated from the following files:

- new_RepositoryManager_Impl.h
- new_RepositoryManager_Impl.cpp